org.apache.lucene.collation.tokenattributes

## Class ICUCollatedTermAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.tokenattributes.CharTermAttributeImpl
    - - org.apache.lucene.collation.tokenattributes.ICUCollatedTermAttributeImpl

All Implemented Interfaces:
  Appendable, CharSequence, Cloneable, CharTermAttribute, TermToBytesRefAttribute, Attribute

    public class ICUCollatedTermAttributeImpl
    extends CharTermAttributeImpl

Extension of `CharTermAttributeImpl` that encodes the term text as a binary Unicode collation key instead of as UTF-8 bytes.

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.tokenattributes.CharTermAttributeImpl

`builder`

### Constructor Summary

Constructors
Constructor and Description
`ICUCollatedTermAttributeImpl(com.ibm.icu.text.Collator collator)` Create a new ICUCollatedTermAttributeImpl

### Method Summary

All Methods Instance Methods Concrete Methods
`BytesRef` `getBytesRef()`

### Methods inherited from class org.apache.lucene.analysis.tokenattributes.CharTermAttributeImpl

`append, append, append, append, append, append, buffer, charAt, clear, clone, copyBuffer, copyTo, equals, hashCode, length, reflectWith, resizeBuffer, setEmpty, setLength, subSequence, toString`

### Methods inherited from class org.apache.lucene.util.AttributeImpl

`end, reflectAsString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.CharSequence

`chars, codePoints`

### Constructor Detail

#### ICUCollatedTermAttributeImpl

    public ICUCollatedTermAttributeImpl(com.ibm.icu.text.Collator collator)

Create a new ICUCollatedTermAttributeImpl

Parameters:
  `collator` - Collation key generator

### Method Detail

#### getBytesRef

    public BytesRef getBytesRef()

Specified by:
  `getBytesRef` in interface `TermToBytesRefAttribute`
Overrides:
  `getBytesRef` in class `CharTermAttributeImpl`